Skip to main content
POST
/
organizations
/
{org_id}
/
documents
/
requests
/
{request_id}
/
cancellations
Cancel requests to upload additional financial documents
curl --request POST \
  --url https://api.mycreditapp.ai/v1-beta/organizations/{org_id}/documents/requests/{request_id}/cancellations \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "host_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "guest_organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "follow_up": true,
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "all_documents": false,
  "comment": "Example text",
  "items": [
    {
      "document_type": "balance_sheet",
      "period_type": "month",
      "period_year": 123,
      "period_month": 10,
      "period_quarter": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

request_id
string<uuid>
required

Unique identifier of the request

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

org_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

Response

Successful Response

id
string<uuid>
required

Unique identifier of the request

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

status
enum<string>
required

Status of the request

Available options:
pending,
partially,
completed,
expired,
canceled
host_organization_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

guest_organization_id
string<uuid>
required

Unique identifier of the organization

Example:

"a3c9e8f1-2b4d-4c6e-8f0a-1b2c3d4e5f60"

follow_up
boolean
required

Flag indicating whether the follow up request was already sent

Examples:

true

false

expires_at
string<date-time>
required

Timestamp when the document request record expires

Example:

"2025-09-23T16:07:35.675578"

created_at
string<date-time>
required

Timestamp when the document request record was created

Example:

"2025-09-23T16:07:35.675578"

updated_at
string<date-time>
required

Timestamp when the document request record was last updated

Example:

"2025-09-23T16:07:35.675578"

all_documents
boolean
default:false

Flag indicating whether all documents are included in the request

Examples:

true

false

comment
string | null

Optional comment for the document request

Maximum string length: 1000
Example:

"Example text"

items
CreateFinancialDocumentRequestItem · object[] | null

List of financial documents need to upload

Minimum array length: 1